Package com.pixelmed.display

# Class SafeCursorChanger

java.lang.Object
com.pixelmed.display.SafeCursorChanger

public class SafeCursorChanger extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`SafeCursorChanger.SafeCursorGetterThread`
`class`
`SafeCursorChanger.SafeCursorSetterThread`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Component`
`component`
`protected Cursor`
`was`

## Constructor Summary

Constructors
Constructor
Description
`SafeCursorChanger(Component component)`

## Method Summary

Modifier and Type
Method
Description
`void`
`restoreCursor()`
`void`
`saveCursor()`
`void`
`setWaitCursor()`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### was

protected Cursor was

### component

protected Component component

## Constructor Details

### SafeCursorChanger

public SafeCursorChanger(Component component)

## Method Details

### saveCursor

public void saveCursor()

### setWaitCursor

public void setWaitCursor()

### restoreCursor

public void restoreCursor()